Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkIdListCollection Class Reference

`#include <vtkIdListCollection.h>`

Inheritance diagram for vtkIdListCollection:

[legend]
Collaboration diagram for vtkIdListCollection:

[legend]
List of all members.

## Detailed Description

maintain an unordered list of dataarray objects

Date:
  2002/12/26 18:24:21

Revision:
  1.2

vtkIdListCollection is an object that creates and manipulates lists of datasets. See also vtkCollection and subclasses.

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (94%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkIdListCollection.cxx)`
  - .`h` (`/Common/vtkIdListCollection.h)`

Definition at line 44 of file vtkIdListCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkIdList *ds)
vtkIdList * | GetNextItem ()
vtkIdList * | GetItem (int i)
## Static Public Methods
vtkIdListCollection * | New ()
int | IsTypeOf (const char *type)
vtkIdListCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkIdListCollection ()
| ~vtkIdListCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkIdListCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 48 of file vtkIdListCollection.h.

## Constructor & Destructor Documentation

vtkIdListCollection::vtkIdListCollection | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkIdListCollection.h.

vtkIdListCollection::~vtkIdListCollection | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkIdListCollection.h.

## Member Function Documentation

vtkIdListCollection* vtkIdListCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkIdListCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkIdListCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkIdListCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkIdListCollection* vtkIdListCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

void vtkIdListCollection::AddItem | ( | vtkIdList * | ds | ) | `[inline]`

| Add a dataset to the list. Definition at line 52 of file vtkIdListCollection.h. References vtkCollection::AddItem().

vtkIdList* vtkIdListCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next dataset in the list. Definition at line 58 of file vtkIdListCollection.h. References vtkCollection::GetNextItemAsObject().

vtkIdList* vtkIdListCollection::GetItem | ( | int | i | ) | `[inline]`

| Get the ith dataset in the list. Definition at line 64 of file vtkIdListCollection.h. References vtkCollection::GetItemAsObject().

The documentation for this class was generated from the following file:

- Common/vtkIdListCollection.h